freeslot(
	"mt_battle_sphere",
	"mt_battle_sphere_paper",
	
	"SPR_BSPH",
	
	"s_battle_sphere1",
	"s_battle_sphere2",
	"s_battle_sphere3",
	"s_battle_sphere4",
	"s_battle_sphere_end",
	"s_battle_sphere_dead1",
	"s_battle_sphere_dead2",
	
	"s_battle_sphere_paper"
)

// battle sphere collectabule
mobjinfo[MT_BATTLE_SPHERE] = {
		doomednum = -1,
		spawnstate = S_BATTLE_SPHERE1,
		spawnhealth = 1,
		seestate = S_BATTLE_SPHERE1,
		seesound = sfx_None,
		reactiontime = 40,
		attacksound = sfx_None,
		painstate = S_NULL,
		painchance = 0,
		painsound = sfx_None,
		meleestate = S_NULL,
		missilestate = S_NULL,
		deathstate = S_BATTLE_SPHERE_END,
		xdeathstate = s_battle_sphere_dead2,
		speed = 1,
		radius = 12*FRACUNIT,
		height = 25*FRACUNIT,
		dispoffset = 0,
		mass = 30*TICRATE,
		activesound = sfx_None,
		flags = MF_SPECIAL|MF_NOGRAVITY|MF_NOBLOCKMAP,
		raisestate = S_NULL
}

// battle sphere paper sprite
mobjinfo[MT_BATTLE_SPHERE_PAPER] = {
		doomednum = -1,
		spawnstate = S_BATTLE_SPHERE_PAPER,
		spawnhealth = 1,
		seestate = S_BATTLE_SPHERE_PAPER,
		seesound = sfx_None,
		reactiontime = 40,
		attacksound = sfx_None,
		painstate = S_NULL,
		painchance = 0,
		painsound = sfx_None,
		meleestate = S_NULL,
		missilestate = S_NULL,
		deathstate = S_NULL,
		xdeathstate = S_NULL,
		speed = 1,
		radius = 8*FRACUNIT,
		height = 20*FRACUNIT,
		dispoffset = 0,
		mass = 100,
		activesound = sfx_None,
		flags = MF_SCENERY|MF_NOGRAVITY|MF_NOBLOCKMAP|MF_NOCLIPHEIGHT,
		raisestate = S_NULL
}

states[S_BATTLE_SPHERE1] = {
		sprite = SPR_BSPH,
		frame = FF_FULLBRIGHT|B,
		tics = 10,
		action = A_ChangeColorRelative,
		var1 = 25,
		var2 = 25,
		nextstate = S_BATTLE_SPHERE2
}

states[S_BATTLE_SPHERE2] = {
		sprite = SPR_BSPH,
		frame = FF_FULLBRIGHT|B,
		tics = 10,
		action = A_ChangeColorRelative,
		var1 = 50,
		var2 = 1,
		nextstate = S_BATTLE_SPHERE3
}

states[S_BATTLE_SPHERE3] = {
		sprite = SPR_BSPH,
		frame = FF_FULLBRIGHT|B,
		tics = 10,
		action = A_ChangeColorRelative,
		var1 = 75,
		var2 = 75,
		nextstate = S_BATTLE_SPHERE4
}

states[S_BATTLE_SPHERE4] = {
		sprite = SPR_BSPH,
		frame = FF_FULLBRIGHT|B,
		tics = 10,
		action = A_ChangeColorRelative,
		var1 = 100,
		var2 = 100,
		nextstate = S_BATTLE_SPHERE1
}

states[S_BATTLE_SPHERE_END] = { 
	sprite = SPR_BSPH,
	frame = FF_TRANS50|FF_FULLBRIGHT|B,
	tics = 10,
	nextstate = S_BATTLE_SPHERE_DEAD1
}

states[S_BATTLE_SPHERE_DEAD1] = { 
	sprite = SPR_NULL,
	frame = A,
	tics = 200*TICRATE,
	action = A_SetFuse,
	var1 = 5*TICRATE,
	var2 = 0,
	nextstate = S_BATTLE_SPHERE_DEAD2
}

states[S_BATTLE_SPHERE_DEAD2] = { 
	sprite = SPR_NULL,
	frame = A,
	tics = 1,
	action = A_SpawnObjectRelative,
	var1 = (0*65536)+0,
	var2 = (0*65536)+MT_BATTLE_SPHERE,
	nextstate = S_NULL
}

states[S_BATTLE_SPHERE_PAPER] = { 
	sprite = SPR_BSPH,
	frame = A|FF_FULLBRIGHT|FF_PAPERSPRITE,
	tics = -1,
	nextstate = S_NULL
}